KDE 4.9 PyKDE API Reference

- KDE's Python API

# StyleOption Class Reference

`from PyKDE4.plasma import *`

Inherits: QStyleOptionGraphicsItem → QStyleOption
Namespace: Plasma.Containment

## Detailed Description

## Enumerations

StyleOptionType | { Type }
StyleOptionVersion | { Version }

## Attributes

Plasma.View | view

## Methods

| __init__ (self)
| __init__ (self, Plasma.Containment.StyleOption other)
| __init__ (self, QStyleOptionGraphicsItem other)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Plasma.Containment.StyleOption | other
| ) |  |  |

__init__ | ( | self, |
|  | QStyleOptionGraphicsItem | other
| ) |  |  |

## Attribute Documentation

Plasma.View view

## Enumeration Documentation

StyleOptionType

Enumerator:

  Type = SO_CustomBase+1 |

StyleOptionVersion

Enumerator:

  Version = QStyleOptionGraphicsItem::Version+1 |